tt_message_file_set(library call)

NAME
tt_message_file_set — set the file attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_file_set(
Tt_message m,
const char *file);

DESCRIPTION

The tt_message_file_set function sets the file attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The file argument is the name of the file involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_file_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).